package com.bonus.core.customer.model;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import lombok.Data;

import java.time.LocalDate;
import java.time.LocalDateTime;

@TableName("cust_error_to_lead")
@ApiModel("批量导入人员信息异常记录表")
@Data
public class CustErrorToLead extends Model<CustErrorToLead> {
   private Integer Id;
   private Integer operateType;
   private Long errorId;
   private Long custId;
   private String custNum;
   private String custName;
   private String mobile;
   private String errorMsg;
   private LocalDate errorDate;
   private Integer revision;
   private String crby;
   private LocalDateTime crtime;
   private String upby;
   private LocalDateTime uptime;

   public Integer getId() {
      return this.Id;
   }

   public Integer getOperateType() {
      return this.operateType;
   }

   public Long getErrorId() {
      return this.errorId;
   }

   public Long getCustId() {
      return this.custId;
   }

   public String getCustNum() {
      return this.custNum;
   }

   public String getCustName() {
      return this.custName;
   }

   public String getMobile() {
      return this.mobile;
   }

   public String getErrorMsg() {
      return this.errorMsg;
   }

   public LocalDate getErrorDate() {
      return this.errorDate;
   }

   public Integer getRevision() {
      return this.revision;
   }

   public String getCrby() {
      return this.crby;
   }

   public LocalDateTime getCrtime() {
      return this.crtime;
   }

   public String getUpby() {
      return this.upby;
   }

   public LocalDateTime getUptime() {
      return this.uptime;
   }

   public void setId(final Integer Id) {
      this.Id = Id;
   }

   public void setOperateType(final Integer operateType) {
      this.operateType = operateType;
   }

   public void setErrorId(final Long errorId) {
      this.errorId = errorId;
   }

   public void setCustId(final Long custId) {
      this.custId = custId;
   }

   public void setCustNum(final String custNum) {
      this.custNum = custNum;
   }

   public void setCustName(final String custName) {
      this.custName = custName;
   }

   public void setMobile(final String mobile) {
      this.mobile = mobile;
   }

   public void setErrorMsg(final String errorMsg) {
      this.errorMsg = errorMsg;
   }

   public void setErrorDate(final LocalDate errorDate) {
      this.errorDate = errorDate;
   }

   public void setRevision(final Integer revision) {
      this.revision = revision;
   }

   public void setCrby(final String crby) {
      this.crby = crby;
   }

   public void setCrtime(final LocalDateTime crtime) {
      this.crtime = crtime;
   }

   public void setUpby(final String upby) {
      this.upby = upby;
   }

   public void setUptime(final LocalDateTime uptime) {
      this.uptime = uptime;
   }




}
